Video Library

The Video Library is a complete set of features used to locate and manage the files you wish to analyze or share:

The video library is "built" from the Windows folders containing those files that are relevant for use with Dartfish.

Because you are likely to analyze many video files, Dartfish helps you locate relevant content using a flexible video content management system called Categories. Values in these Categories allow you to describe the content of video clips more comprehensively than relying on organizing video into different Windows folders.

Dartfish uses a Library module which offers rapid access to your content as well as a variety of tools to help you locate relevant video files.

The Library module has a powerful sharing feature called the Tray. It provides a workspace containing files which are being worked with. This not only makes them readily accessible for use in Dartfish but also allows you to both archive on CD/DVD and share its content by a variety of media including email, Internet and CD ROM.

In this chapter you will learn how to:

Define your library. Learn how to include the content you wish to see in the Dartfish Library.

Organize your library using Dartfish's Categories.

Import files to the library - either by capturing new video files from a video camera or using files given to you by other coaches or athletes.

Locate video files using Dartfish's array of search tools.

Create Playlists from the contents of the library.

Share video files by email, CD/DVD or Internet.

Export video files back to tape.

Archive or backup video clips.

Convert video clips.


Defining your library

The library is the collection of ALL the video files that you want to use with Dartfish. These files can be stored on several folders on your hard drive.

To define the library you must tell Dartfish which folders to monitor. Only the video clips found in these folders will show in the Library module. The default monitored folder is ...My Documents/My videos.

To add the contents of a folder to the library

1. From the menu bar, select Tools > Options (or type F3)

2. Click on the Library option

3. Click on the Add... button. A browser window will open.

4. Chose a folder and click on OK. The sub folders of this folder will also be included in the library.

5. Repeat steps 3 and 4 to add additional folders.

6. To remove a folder from the list, click the folder in the list and click on the Remove button.


The Library workspace

The Library module is your route to accessing the content of the library. It is displayed and hidden using the Library button on Dartfish's toolbar.

The library module is shown below with its four main parts labeled:

1. The Library Toolbar contains buttons used to control the appearance and content of the Items List.

2. The Categories view is used to filter the Items List for video clips matching categories and values selected. When this area displays its Folders view, the content of selected windows folders will be displayed in the Items List.

3. The Items List is a list of video, image and project files that can be used by Dartfish.

4. The Tray


The Library Toolbar

The function of the Library Toolbar's buttons is to help you locate the items you wish to use from the Items List. These buttons have the following functions:

Categories button - to display a list of categories and values by which the Items List can be filtered. To learn more about doing this see the topic Locating video files.

Folders button - this displays a list of Windows folders. The Items List will show the contents of the folder selected from this list.

View Type button - to control how items are represented in the Items List. Items can be displayed in a simple list or showing details such as file size and category/values used. The thumbnail views show an image of the first frame of video.

Back/forward navigation buttons - As different categories and folders are selected from the Folders view or Categories view the Back and forward buttons become available to navigate between them.


The Items List

The Items List is a list of items that Dartfish is able to use. This includes video clips, images and Dartfish projects, each represented by its own icon examples of which are shown below:

- Video clips
- Picture files
- Analyzer projects
- SimulCam projects
- StroMotion projects

File management using the Items List

File management functions such as file renaming, deletion and copying can be carried out from the Items List. Display the range of options as follows:

1. Point the mouse at the item(s) you wish to edit.

2. Click the right mouse button. A context based "Quick menu" appears.

3. Left click the function you wish to use.

The use of the Convert function is explained in the topic Converting video clips.

Opening video clips

There are three methods of opening a video file from the Items List:

1. Point at the item and double click the mouse.

2. Drag and drop the item from the Items List on to the video display. This method offers more flexibility when there is more than one video display to choose from.

3. Drag and drop the item onto the Tray section of the Library module. From here it can be added to the video display as needed.

Opening Projects

Projects must be opened using the relevant Dartfish module. Either the appropriate module is opened first or, if a project item is double clicked (method 1 above), the appropriate module will start, closing the current module if necessary.

Opening Images

Image files can be opened by double clicking them however they will not be opened into Dartfish, instead the default image viewing software on your computer will be used.


Item Properties

Further information about items can be revealed by using the Details view or the properties window.

Details View
Details view is selected by clicking the View Type button on the Library Toolbar. The details view reveals additional file and categorization information about each item as shown below.

The Properties window

To display an item's properties:

1. Point the mouse at the item.

2. Click the right mouse button. A context based "Quick menu" appears.

3. Select the Properties... option. The properties window appears for the selected item as shown below.

Although much of the properties information is similar to that displayed in Details view, there are two useful pieces of additional information:

File location - the folder on your hard drive where this file is located. The Open Containing Folder button allows you to open this location to see other content of this folder.

Comment - comments can be edited in the properties window and can be used to provide additional information about the file. This is particularly useful if you intend to share the file (see Sharing video files) as your comments will form part of the content of an Enhanced CD.


The Tray

The Tray is a working area for the collection of video files currently being used. It allows you rapid access to files you want to analyze and provides a method for taking files from one module to another.

Additionally, organizing items into the Tray is the first step for:

Sharing video files (see Sharing video files).

Archiving and Backing up video files (see Archiving or backing-up your video files).

Adding clips to the Tray

Items will appear in the Tray when:

Video clips are opened from the Items List.

New clips are captured from a video camera.

Video clips are added by drag & drop from the Items List.

Clearing the Tray

Selected items are removed from the Tray by clicking the Clear button.

If no files are selected the entire content of the Tray is cleared.

File management using the Tray

The items appearing in the Tray are a representation of the original file so unsurprisingly, the file management functions available to items in the Items List (see The Items List) are also available to items in the Tray.

1. Point the mouse at the item(s) you wish to edit.

2. Click the right mouse button. A context based "Quick menu" appears.

3. Left click the function you wish to use.


Organizing your library

Your Dartfish software includes a versatile video management system called Categories. The Categories are used to describe the contents of your video clips in a simple and clear manner. For example, you can define categories such as the name of the athlete, discipline, location of the filming, assessment of performance etc and each video clip can be classified and easily located by using values in any or all of these categories.

Continuing this example, it becomes very easy to locate videos containing "John Smith" doing "Bench press", "Incorrectly" and distinguish these from video of other athletes or even of "John Smith" throwing the "Javelin".


Understanding categories

To understand the Categories system, you must be able to distinguish between the following elements:

The File Name that is defined for each video clip physically stored on your hard drive. A video clip is identified with the icon illustrated below, with the file name displayed underneath (as you can see in Windows Explorer).

The Values that represent the details of each clip. For example "Swing" and "Front" can be used to describe a video clip containing a swing filmed from the front in golf.

The process of classifying consists of assigning values to your video clips, i.e. labeling them.

The Categories that group the values of the same kind.


Defining your categories

To help you decide what categories and values you need, imagine you have several hundred video clips on your computer. How would you label each one to identify it? When you look for these video clips one year from now, what might you be looking for?

Perhaps you film different sports or different disciplines within a sport. For this create a Sport category or a Discipline category with values for each sport or discipline that you work with.

Perhaps you will want to compare video clips filmed from the same angle. That will be much easier if you are able to distinguish clips filmed from the front and ignore those filmed from the side. In this case, you may use the category Camera Angle.

So, what else might you look for? Age group perhaps if you want to compare athletes of a similar age; An Assessment category if you want to be able to distinguish video where a skill is performed well from where it is performed badly.

Once you have replied to these questions, you can create the nomenclature that will allow you to classify and locate your video clips.


Editing categories

To create a new Category

1. Click on the New button at the top of the library and select New category... from the menu that appears.

2. Enter the name of your new category (e.g. Camera angle) and click OK.

The new category will appear in the Categories list.

To rename a category:

1. Right-click on a category label and select Edit... from the context menu

2. Type the new name and press the enter key on the keyboard.

To delete a category:

1. Click your mouse on a category to select it.
2. Click on the Delete category or value button in the category tool bar [image].

3. Confirm the action by clicking OK. The category will disappear from the Categories list.

When a category is deleted all values within that category are also deleted. Video clips using those values are not deleted but they will lose the deleted values.


Editing values

Values appear beneath the category headings and are distinguished from categories with a label icon. If needed, click on the "+" sign to the left of a category to expand its list of corresponding values.

Creating, deleting and renaming values is done in the same way as for categories (see Editing categories) except that you start by selecting the category which contain the value.


Classifying video clips

Once your categories and values have been defined, you can classify your video clips. This process consists of assigning values to your video clips, i.e. labeling them, in the same way as you would label your suitcase to help you recognize it.

It is not just video clips that can be classified; any item that Dartfish lists in it's Items List can be categorized to make it easier to locate.

To add a value to an item:

1. Select the item(s).

2. Drag the item on to the desired value.

Remember that you are not limited to adding a single value. You can repeat this process as often as you like BUT only one value from each category can be added to each item.

You can classify several video clips at once. To do this, press on the Shift or Ctrl button on your keyboard while left clicking with your mouse on the clips you wish to classify. Then drag and drop the files to a value as described above.

To change the value attached to an item:

1. Select the item(s).

2. Drag the item to a different value within the same category.

It is often better to add values to your video clips as they are captured from your camera. To find out how to do, see the topic Setting Clip Properties


Removing values

As seen in the Editing categories topic, deleting a value from the categories list will also remove that value from any items which hold it. However it is also possible to remove a value from a video clip.

To remove a value

1. Click the View Type button at the top of the Library module

2. Select Details.

3. Alter the width of the Items List so that you are able to see the headings for each category (these are only visible in Details or Thumbnail Details views). To do this you will click and drag the right hand border of the Items List.

4. Find the value you want to remove. To do this you may have to make the Items List wider still or use the scroll bar at the bottom of the Items List.

5. Right click on the value and choose Rename from the context menu. The value will enter an editing mode as shown below:

6. Delete the existing value (Backspace key on your keyboard).


Importing/exporting categories

The category and value information for each video clips is stored in a small extra Metadata file (with a ".dartclip" file extension). Although this is not visible in Dartfish's Items List you can see it using Windows Explorer as shown below.

When your video clips are shared, the recipient will also inherit a new set of categories and values provided the metadata file was also shared. All Dartfish's sharing processes include metadata.

What happens when inherited categories match existing categories?

Provided that the spelling and capitalization is identical, the new video clips will fit neatly into the existing Category/Value system. But if, for example, the new video clip has a value of "Front View" and you use a value "front view" then both values will now appear in your "View direction" category.

When you and your fellow coaches will use the same categorization system (or you have more than one computer) you can export a set of Category/Values from one computer to another.

Exporting Categories/Values
1. Click the Add a new category or value button [image].

2. Select the Export... option.

3. Save the export file.

Make sure you know where the export file has been saved as it will be passed (by disk, network or email) to the other coach or computer.

Importing Categories/Values
1. Click the Add a new category or value button [image].

2. Select the Import... option.

3. Locate and open the file to be imported. The new categories and values are now visible in the Categories view.


Importing files to the library

Files will be added to the library by one of the following methods.

1. Capturing video clips from a video camera (see Capturing from camera).

2. Adding clips by copying new video files onto an existing Monitored folder (perhaps from a disk given to you by a colleague or video files downloaded from the Dartfish website).

3. Adding a new Monitored folder (see Defining your library).

4. Saving the results of a Dartfish Project.

This section covers the first 3 of these possibilities.


Capturing from camera

DV import is the Dartfish module which is used to capture video files from DV tape. Captured files will be automatically added to the library.

Its use is very simple - three steps to set it up and three steps to capture each clip. These steps are shown below but for further details, read the rest of this topic.

To activate DV import

Click the DV import button on the toolbar.

To setup DV Import

1. Connect camera to computer via Firewire

2. Switch camera ON to "Camera" or "VCR" mode.

3. Set capture settings if needed.

To capture video

1. Play video tape to find relevant footage

2. Start capture

3. Stop capture


Setting up capture

Connecting a camera

A DV camera is connected to a computer via a firewire cable (also known as IEEE 1394 or i-link).

In general, your camcorder will have a 4 pin connector. Your computer can either have a 4 or a 6 pin connector. The cables are called 4 to 4 or 4 to 6.
"4" pin connector | "6" pin connector

Switching the camera on

To capture images from tape, switch on your camera to "Play" or "VCR".

If this is the first time that a DV camera has been connected, it may take some moments for Windows to install the new hardware. Watch for progress in the Windows system Tray.

Selecting a Capture Device

The lower part of the DV import module contains several settings. Clicking the headings expands each setting to view the details.

Select your camera from the Select capture device drop-down list. When the tape is played an image should appear in the DV import video display.

If the device or camera that you are using does not appear in the capture device list, it is possibly because of one of the following reasons:

Camera not switched on. (Remember cameras auto switch off after a short time if unused)

Camera not connected to the computer.

Camera not properly installed by Windows.

Hardware fault with firewire cable or camera or capture card.

Camera not capable of exporting video to a computer.

Choosing a Capture Location

The Capture Location setting both displays the current Windows folder where video will be stored and allows you to select a different location. To change capture location:

1. Click the Change capture location link. The following dialog box appears:

2. Select a folder from the list or click the Make New Folder button to create a new folder in the currently selected folder.

All your capture locations should be included in the Library (see Defining your library) if you intend to use the Categories system (see Organizing your library). Otherwise the captured clips will not appear in the Items List of the Library module.

When creating new capture locations, make them sub folders of one of your existing Library monitored folders. That way the new location will automatically be included in the Library.


Setting Clip Properties

Use the Clip Properties to set the File Name, Categories and Values for newly captured clips. These information define a so-called Capture Form that will be used to categorize the video clips during capture.

Read the section Organizing your library to learn more about categories and values.

Defining the Capture Form

1. Click the Add a category link. The Add Category dialog will appear.

2. Select a category from the list or create a new one.

3. Click OK. A new category box will appear on your Capture Form.

4. Repeat steps 1-3 until boxes for all the categories you want to use are displayed on your form.

Using the Capture Form

1. Type a file name in the file name text box.

Each file captured using this file name will be numbered sequentially. For example if you type "Training Apr10", each captured clip will be named Training Apr10(1), Training Apr10(2) etc.

The filename you use must follow MS Windows file naming rules: Max length 256 characters; use of ":", ";", "/" or "\" is not possible.

If no file name is specified a generic name of Untitled(1) etc will be given.

2. Select the values you wish to give the clip by selecting them from the drop down list for each category box. For example, you might intend to capture all of the men's Giant Slalom competitors in Chamonix. Your form should look like this:

If a value does not already exist, for example a new competitor, you can type that value into the appropriate box. This new value will only appear in the Library module's categories list after clips have been captured.

If a category is to remain with no value, for example if the name of a competitor is unknown, the value may be deleted from that category box (select it and use the Backspace key on your keyboard). Do not use the Clear button [image] as it will remove the category box from the form.


Capturing video to Library

Once setup, the process of capturing video is a simple one; you have to locate the position on the tape where the footage of interest is recorded and then click a single button to start and then stop capture at the beginning and end.

Finding footage on tape

The DV Import module has a set of controls that you can use to control the camera.

Alternatively, you can use the equivalent controls on the camera itself.

Capture video

Click the record button [image] at the start and end of the clip.

The pause recording button [image] allows you to pause capture while the tape continues to run. This allows you to create a single clip when the action is split. For example, coach intervention in the middle of a trampoline routine or a fall while skiing can be ignored.

Replaying captured clips

The clips you have captured will now be listed in both the Tray and Items List of the Library module. Load the video by double clicking on it. The video clip will open in the Player module.


Importing video from DVD

Dartfish has a tool to assist in copying video files from a video DVD into your Dartfish Library in a form that can be used in Dartfish software.

The Process allows selection from either a list of Titles or of VOB files that it finds on the DVD and then copies them to a selected folder on your computer. During the import process the VOB files will be renamed as MPG to allow them to be played by Dartfish. When multiple files are selected for import you may optionally join them into a single video file.

The location that you choose to import to will be automatically monitored so that the video file(s) from the DVD will be accessible using the Category view of the Library.

The Import DVD process is formed of these parts:

Starting the DVD Import Wizard

Selection of the DVD drive and the content you wish to import.

Selection of the destination for the files

Notes:

1. In order to use DVD import your computer must have a disc drive capable of reading DVDs. DVD import is not designed to capture video images from a DVD player.

2. Many commercial DVDs are copy protected. Dartfish will be unable to import video files from copy protected DVDs. Video DVDs that have been created by a home DVD Video Recorder or a DVD camcorder are usually not copy protected.


Terminology

Dartfish makes it easy to import DVD video files with limited or no knowledge of the terminology. However, the following may assist your understanding of the process.

DVD – Digital Versatile Disc. A disc designed to play video in a DVD player. Video DVDs differ from data DVDs which are similar to data CDs in that they store computer files but hold much more data. The DVD import tool is intended to import from a video DVD.

VOB file - Video on DVDs is stored as VOB files.

MPEG- MPEG is a compression format for video and audio. There are several types of MPEG compression, for example MPEG4 is used where high compression is necessary such as for download to a mobile phone. MP3 is used to compress music and MPEG2 is the format used by Dartfish. A VOB file is video compressed as MPEG but with additional information encoded with it which is used by the DVD player.

TITLE - Video is organised on a DVD as titles. Your DVD player or DVD player software allows you to navigate between titles. A title can consist of one or more VOB files.


Starting the DVD Import wizard

To import the contents of a DVD into the library

1. Insert the DVD into the computer's DVD tray (do not allow other software on your computer to play the DVD)

2. From the Dartfish menu bar, select File > Import DVD. Or, you can select Tray > Import DVD from the Tray.


Selection of video files

Select the drive containing the DVD

Normally this will happen automatically. Otherwise you are able to select from a list.

Enter a file name

The file name is used to name the files copied from the disc. By default, Dartfish uses the Disc label as the default file name. You can enter your own choice of file name according to the normal Windows file name limitations.

If multiple files are imported, they will be named File_1, File_2, File_3 etc where File represents the chosen filename and the number represents the number of the video file from the disk.

Select the DVD content you wish to import

You are presented with a list of titles or VOB file names found on the DVD. From either list, select content to be imported.

To help you understand what to select, file size information is shown for each title or VOB. Consider that all the video content on the DVD is stored as VOB files including the DVD menu which will usually be a much smaller file than the others. The list of titles will often (but not always) correspond to the titles shown on the DVD menu.

Merge video files

By default, the selected content will be merged into a single file on your computer. If you wish each Title or VOB file to become a separate file, deselect this option.


Selection of destination folder

In this step, the destination folder for the video files is selected. If your chosen location is not already monitored by the Dartfish library, it will be added to the monitored folder list.
The filename was selected in the previous step.

The required space is displayed as well as the available space on the selected destination drive. You should ensure that copying the content of the DVD (which can hold up to 8.5 Gb) will not fill the available space on the hard drive.


The finish step

On completion of copying all selected files you are offered the chance to either

View the files in Dartfish

View the files in Windows Explorer

Restart the process to copy another disc

View content in the Library

If viewing the files in Dartfish, you may optionnaly display only the list of files you just imported in your library.


Finding the copied files

The files are located in a folder named with the disc label of the DVD. This can be found in the folder selected in the second step of the Wizard.

If you made no choice, the default location used by Dartfish is /My Documents/My Videos.

The copy process also creates a new category of DVD which is displayed in the Library's Categories view. All DVDs imported will have a value listed in this category, making it easy to locate the video files copied from each DVD.


Adding files

There are two other ways to import video clips into your library:

1. By copying files into a monitored folder (see Defining your library). For example, you are given a CD containing video files and you copy these into the folder \My Documents\My videos.

2. By defining a new monitored folder. For example, a fellow coach gives you her external hard drive to analyze the video files it contains. When you plug it in to your own computer the files are not listed in the Items List because the external hard drive is not part of your library. You will need to add the drive to the list of monitored folders in your library (see Defining your library).

In the first case, the video files won't appear in the Items List until the library is refreshed. To do this:

Press the [f5] key on your keyboard OR

From the menu bar, click View > Refresh


Locating video files

Dartfish's Library module offers three methods for helping you to locate specific video files from the Items List.

Categories view - displays a list of categories and values. The Items List is filtered to reflect files matching categories and values selected.

Search - the search box allows a text based search of filenames, categories and values of the contents of the library.

Folders view - the typical way of locating files using MS Windows folders. The Items List displays the content of the selected folder.


Using Categories

When using the categories system all video clips (and other Dartfish projects) in the Library will be listed in the Items List. That could amount to a lot of files! You can filter the Items List to show only relevant clips by selecting the categories or values for those clips.

Filtering the Items List by category

1. Display the Library module

2. In the Categories List, click the box next to the category of video you want to search for. A binocular symbol appears in the box and all values within that category will also be selected

3. The Items List will display all clips which are labeled with values from that category.

Filtering the Items List by value

1. In the Categories list, click the [+] symbol next to the category containing the value you want to filter by. An expanded list of values is displayed.

2. Click the box next to the value of video you want to search for. A binocular symbol appears in the box. The Items List will display all clips which are labeled with values from that category.

You can select multiple values to refine your search

Removing filters

1. EITHER: Click the box next to each category or value that you want to exclude from the filter such that the binocular symbol disappears.

2. OR: Click the Show All button [image] above the Items List.


Using Search

When using the Categories view, a search box can be found above the Items List. This can be used to search for all or part of the text in the file name, values and categories of a video clip. For example a search for "Golf" could yield the following results:

To use the Search:

1. Type search text.

2. Click the Search button or press the ENTER key.

Combining Search and category/value filters

When categories are used to filter the Items List, search results are based around the selections made as follows:

Search first - subsequent category/value selections filter the search results only.

Filter first - subsequent searches are based on filtered results only.


Using Folders

The Folder view creates a way of searching drives and folders on your computer for items. Although we recommend the use of categories and values as a more versatile method for cataloguing your video library there may be occasions where you prefer to identify video clips by the folder where they are located. For example if you want to examine the contents of a CD or networked drive (including these types of location in your video library is not recommended).

Filtering the Items List by folder content

1. Display the Folders view by clicking the button at the top of the library.

2. In the Folders view, click the folder you want to examine.

3. The Items List will display all clips in the selected folder.


Saving the tray's content

The contents of the Tray can be saved as a Playlist which can be reopened in the future. This is useful for any situation where you will want to work with a collection of clips; creating a Playlist will be more efficient than locating the same clips in the items list for example:

A set of clips illustrating techniques to be practiced in a coaching session.

Clips captured during training which you want to keep together for later feedback or editing.

All video sources used while Tagging a game (Team Pro).


Creating a playlist

A Playlist is created by saving the tray, to do this:

1. Click the Tray button found to the left hand side of the Tray itself.

2. Select the Save Playlist... option.

3. Enter a file name and select a folder location for the Playlist.

Playlists can be saved into any folder you like but if you select one of the library folders (see Defining your library) your Playlist will appear in the items list with the following icon:

This allows you to categorize, search for and open clips in the same way as you would with video clips.


Reusing a playlist

A Playlist is used by opening it, to do this either double-click its icon in the Items List or proceed as follows:

1. Click the Tray button found to the left hand side of the Tray itself.

2. Select the Open Playlist... option.

3. Locate the file on your computer and click the Open button.

When a Playlist is created it does not duplicate the video clips it contains but simply instructs Dartfish where the original clips can be found. If a clip contained in a Playlist is moved to another folder, deleted, or the folder containing it is unavailable (for example, a disconnected network folder or external hard-drive) then Dartfish will be unable to find it. When the Playlist is opened you will be offered the opportunity to find the clip.

If the No button is clicked the Playlist will continue to open the remaining clips (and continue to warn you if the files are not found). Remember to save the Playlist if you wish the changes to be permanent (see Modifying a playlist).


Modifying a playlist

Once the Tray's content has been saved as a Playlist, changes made by adding or removing clips from it are not automatically saved. These modifications must be saved using the same procedure as creating the original Playlist (see Creating a playlist) You have the choice of saving a new Playlist with a new name or overwriting the original.


Sharing video files

Dartfish has incorporated a range of functions to share video with athletes or other coaches. The Video Sharing Wizard guides you through the process of selecting and compressing video before exporting video to the appropriate media. The choices of media you can use for sharing are:

My Computer - copy your video to a folder, to an external drive or to a network server.

Email - the video clip is compressed and attached to an email in your default email program (see note below).

Recordable CD or DVD - burn video to CD or data DVD directly from Dartfish.

Enhanced Recordable CD or DVD - creates a CD with an easy-to-use interface customized with your branding and contact information.

Internet - send video to a FTP location.


Video sharing wizard

Loading clips for sharing

The Video Sharing Wizard is a feature of the Tray. Start by loading the video clips you wish to share into the Tray. To do this, drag-and-drop video files from the Items List to the Tray. Hold down the [Ctrl] key while clicking on the files to select multiple files.

Once video clips are loaded, click the Tray's Share button.

The Video Sharing Wizard

The process of sharing is guided by the Video Sharing Wizard. Three steps are common to all sharing destinations.

1. Selecting the sharing Destination - Click on a destination then on the Next> button (at the bottom of the window) to proceed.

2. Selecting which videos you wish to share. "Check" those to be shared as shown below or click the Select All button:

3. Choose the video settings (encoding profile) appropriate for the selected destination (see Video settings in the Getting familiar chapter).

Specific additional information may be entered according to the selected destination. Read the information displayed in the wizard to complete this information.


Sharing Destinations

Email

The Video Sharing Wizard compresses video clips and attaches them to an email using your default email software. A second metadata file containing category/value information for each file is included (see Importing/exporting categories for more information on how metadata files are used).

Dartfish is only able to send the results of sharing to email software like Outlook and Outlook Express. If you use another type of email such as AOL or web based email like Hotmail, YahooMail etc then you should convert the videos you want to send (see Converting video clips) and attach them through the software or website itself.

Recordable CD/DVD

This choice of destination "burns" video files to recordable CD-R, CD-RW or data DVD disks including metadata. Burning to DVD does not create DVDs that will play on a DVD player but a data DVD holds a lot more data than a CD:

CD - 700Mb approx

DVD - 4.7Gb

Double layer DVD - 8.5Gb

Enhanced CD/DVD

A second method of burning Video clips to CD or DVD is to produce an Enhanced CD/DVD. This has the following advantages:

The resulting CD autoruns - the user simply has to insert it into their computer's CD drive.

Customizable interface which can be personalized with your own contact details (see image below).

Comments can be included to describe explain the content of video clips.

Internet

This sharing option is used to send (ftp) Dartfish video files to an internet destination. To do so, you will need to create an FTP Profile using the connection information for your FTP server. This information can be provided by your network administrator or the Internet service provider which hosts your website.

The Internet sharing option does not create web pages, it simply sends video files to an internet location from where they can be downloaded. The Analyzer module can be used to produce Media Book web pages containing video, text and audio.


Exporting video files to tape

Video files on your computer can be exported back to tape via your video camera using Dartfish's DV Export module. You may wish to do this in order to:

Create a tape to play back video clips on a television using your camcorder.

Record a VHS tape of footage from your camcorder.

Backup footage on DV tape

The process is very simple:

1. The camera is connected.

2. Clips are loaded into a Playlist (similar in function to the Tray).

3. Playlist clips are recorded back to the camera.

To be able to use this feature, your camera must have a DV In function - check your camera's documentation.


Launching DV Export

To launch the DV Export module, click the DV Export button on the toolbar.

The screen layout is shown below; note the Playlist of clips to be exported is in shown the middle section of the image below.


Creating a playlist for export

The Playlist is the workspace for managing the clips that are to be recorded to tape. Add video clips to the Playlist by dragging them from the Items List or Tray.

Managing the Playlist

Individual clips are selected from the Playlist by clicking them. The buttons at the top of the Playlist are then used to:

Remove the selected clip from the Playlist.

Change the order of the Playlist by moving clips up or down .

Clear the Playlist contents by creating a new Playlist.

Changing clip speed

Video clips can be exported to tape so that they will play back at three choices of speed:

Normal - clip will play back from tape at full speed

Slow - clip will play back at 50% speed.

Super Slow - clip will play back at 25% speed.

To set clip speed, right click a Playlist entry and choose a clip speed from the context menu that appears.

To see the speed set for each clip, click & drag the right edge of the Playlist until the Speed column is visible as shown below.


Using DV export

Connect the DV camera (see Setting up capture). The camera should be switched "on" to it's Play/VCR mode.

1. Use the camera controls to find a position on the tape to add the new video clips alternatively, use the Search button to locate a specific time on the tape.

2. Click the record button (shown below).

This will flash while recording and progress indicated in the information display above it.


Archiving or backing-up your video files

Video files contain a lot of information and therefore take up a lot of space on your hard drive. Each training session adds new video clips and, sooner or later, you will have the problem of lack of space on your hard drive. You may also want to back up important clips.

If your computer is equipped with a CD or data DVD writer, Dartfish offers two solutions to these problems:

Backup: The backup functionality protects against loss of video files by corruption or accidental deletion by enabling you to copy video clips to CD or DVD. Restoring backed up video clips returns them to the same folder where they were backed up from and they will retain their category/value information. The backup process leaves copies of the video clips on your hard drive.

Archive: Use the Archive option when you want to free space on your hard disk; the archive enables you to build your own video clip library on CD/DVD. The selected video clips are copied to CD/DVD and removed from your disk. However, a copy of the File Name/Categories/values is left on your hard disk and will appear in Dartfish's Items List. Although an archived video clip cannot be displayed without being restored first, you can work with the archived video clips as if they were still on your hard disk. If required, your software will prompt you to restore a clip.

Although the end results are different, the processes of archiving or backing up are almost identical; using the Library module's Tray to organize video files and start a wizard to guide you through the steps of either process.


Select video clips to archive

Use the Library module to select the video clips you want to save. This is done by dragging video clips from the Items List into the Tray.

1. Search for the video clips you want to select by clicking category's value. For example, you can click on Drive in the Club category and the corresponding video clips will appear in the Items List.

2. Click the left mouse button to select the video clips. You can also select multiple video clips using the Shift key. To do this, click on the first clip in the list, hold down the Shift key and click on the last video clip in the list of clips you want to select. Selected video clips are highlighted in the Items List. Note that you can only select video clip files and not Dartfish projects or still images.

3. Drag these items into the Tray.

You cannot back up or archive two video clips with the same name on the same CD/DVD.


Archive & backup wizard

Archiving and backing up is guided by the Video Backup Wizard. Click the Options>Backup/Restore... button (in the Tray) to launch it. The steps are identical for both processes:

1. Step1 - Archive or Backup Process. Choose whether you want to archive or backup the clips in the Tray.

2. Step2 - Video selection. All clips in the Tray are displayed. Select or deselect those to be backed up or archived.

3. Step3 - Burn Configuration. Select the disc recorder from the list. It is useful to provide a disk label; especially if archiving because Dartfish will use this information to let you know on which CD an archived file is located.

4. Step4 - Processing. Nothing for you to do here! When completed, the CD will be ejected and a "Finished" notification message will appear.

A reference to archived files remains in the Items List; those marked with the blue text as shown below.


Restore from CD/DVD

The Restore operation consists of copying archived or backed-up video clips back to your hard drive from the CD/DVD. The Categories/values stored on the CD/DVD are also restored.

Restoring is guided by the Video Backup Wizard. Click the Options>Backup/Restore... button (in the Tray) to launch it and follow the instructions on the screen:

1. Step1 - Archive or Backup Process. Choose Restore.

2. Step2 - Video selection. Insert the data disc that contains backed up or archived clips into your CD/DVD drive. Clips found on the disc are displayed. Select or deselect those to be restored.

3. Step3 - Destination. Select the folder where the video clips will be restored. You also have the choice to replace the existing file or create a new file with a different name.

4. Step4 - Processing. The video are copied to the destination folder.


Converting video clips

The video which comes from your camera is in a DV (.avi) format. It is possible to use Dartfish to convert DV video files into other, more compressed formats to reduce the space they occupy on your hard drive.

Conversion is guided by the Video Conversion Wizard.

1. Step1 - select the files to convert from the Items List or the Tray. To select multiple files, hold down the [Ctrl] key while clicking on the file names.

2. Step2 - Display the Tray or Items List context menu by right-clicking on any of the selected items. Select Convert to launch the Video Conversion Wizard.

3. Step3 - Video Settings. Select an encoding profile. The profile chosen affects the video format and the degree of compression. For more on video encoding profiles see Converting Video in the Getting Familiar chapter.

4. Step4 - Destination. Choose a destination folder for the video. The default is to return converted video back to the same folder as the original files. Converted clips will not replace the originals and will have a different file name. For example, "Marathon.avi" will become "Marathon.wmv". However, you are able to choose what action to take if there are other files with the same name located in the destination folder. You can either overwrite the existing files or rename the converted files.

Clicking the Next button at this stage starts the conversion. When complete, the new files can be found in the Items List or Tray.


The next steps

This chapter covered the use of the Library and explained how to create a library using Categories and Values to manage video clips. Specifically, you learned to:

Define folders and drives to be contained in the library.

Define appropriate categories for your needs.

Describe the content of your video clips by using category values.

Capture and export video clips from DV tape.

Share video by disk, email or Internet.

Archive and backup video on CD.

We recommend that you take some time now to define the folders and/or drives that you want in your library, create categories and values suitable for your use of video and then, if you have existing video clips, assign appropriate values to each.

If continuing your journey through Dartfish Help then you might want to learn how to capture video 'live' using the InTheAction Module (read chapter Live capture & instant replay during training).

Dartfish is also able to share video by producing Media Books from the Analyzer module.